Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0001142 [Piwigo] notification minor always 2009.08.24 23:48 2010.02.19 00:13
Reporter plg View Status public  
Assigned To rub
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.0.9 Product Version 2.0.3
  Target Version 2.0.4 Product Build
Summary 0001142: notification on category, current user language depends on last group user
Description When you perform a "Send an information email to group members" action on a given category, the language is set to the language of the last user in the group. It's really obvious when the last user of the group is russian for example.
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0003255)
plg (manager)
2009.12.17 23:16

Reminder sent to: rub

Hi rub,

I have exactly the same problem when I had a comment as a guest, the language loaded is the language of the last admin.

I haven't deeply investigated but as there are 2 very similar issues related to the switch_lang_back mecanism, I have a strong feeling that something is wrong in this function.

Can you check?
(0003413)
svn (reporter)
2010.02.19 00:10

[Subversion] r4907 by rub on branch 2.0

-----[Subversion commit log]----------------------------------------------------
Feature 0001142: notification on category, current user language depends on last group user

Thanks to cljosse and Eric for their help!
(0003414)
svn (reporter)
2010.02.19 00:12

[Subversion] r4908 by rub on trunk

-----[Subversion commit log]----------------------------------------------------
merge -c4907 from branch 2.0 to trunk

Feature 0001142: notification on category, current user language depends on last group user

Thanks to cljosse and Eric for their help!

- Issue History
Date Modified Username Field Change
2009.08.24 23:48 plg New Issue
2009.08.24 23:48 plg Status new => assigned
2009.08.24 23:48 plg Assigned To => rub
2009.08.24 23:48 plg browser => any
2009.08.24 23:48 plg Web server => Apache 1.3.x
2009.12.17 23:16 plg Note Added: 0003255
2010.02.19 00:10 svn Checkin
2010.02.19 00:10 svn Note Added: 0003413
2010.02.19 00:12 svn Checkin
2010.02.19 00:12 svn Note Added: 0003414
2010.02.19 00:13 rub Status assigned => closed
2010.02.19 00:13 rub Resolution open => fixed
2010.02.19 00:13 rub Fixed in Version => 2.0.9


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker